/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package main;

import Connection.ConnectionDB;
import com.formdev.flatlaf.intellijthemes.FlatLightFlatIJTheme;
import drawer.DrawerController;
import drawer.Drawer;
import drawer.DrawerItem;
import drawer.EventDrawer;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Toolkit;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.UIManager;
import resources.Component;
import resources.Header;

import java.util.Arrays;
import java.util.logging.Level;
import java.util.logging.Logger;
import panel.AddGuest;
import panel.AddGuestDetail;
import panel.InforGuest;
import panel.InforGuestDetail;
import panel.InforReturnMoney;
import panel.ReturMoney;
/**
 *
 * @author chinda
 */
public class Main extends javax.swing.JFrame {
    private DrawerController drawer;
    private Component com;
    private Font font;
    private Color color;
    public Main() {
        initComponents();
        Dimension ds = Toolkit.getDefaultToolkit().getScreenSize();
        this.setSize(ds);
        com = new Component();
        font = new Font("Khmer OS Battambang", 1, 15);
        color = Color.white;
        drawer = Drawer.newDrawer(this)
                .background(new Color(90, 90, 90))
                .closeOnPress(true)
                .backgroundTransparent(0.3f)
                .drawerBackground(new Color(0,48,84))
                .leftDrawer(true)
                .duration(100)
                .enableScroll(true)
                .header(new Header())
                .space(20)
                .addChild(new DrawerItem("បន្ថែមពត៌មានភ្ញៀវ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/add_user_group_woman_man_24px.png"))).build())
                .addChild(new DrawerItem("កត់ត្រាចំណងដៃ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/Color_Userx24.png"))).build())
                .addChild(new DrawerItem("សងចំណងដៃ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/money_circulation_24px.png"))).build())
                .separator(2, new Color(233, 214, 210 ))
                .space(30)
                .addChild(new DrawerItem("ពត៌មានភ្ញៀវ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/increase1_24px.png"))).build())
                .addChild(new DrawerItem("​ពត៌មានចំណងដៃ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/increase_24px.png"))).build())
                .addChild(new DrawerItem("ពត៌មានការសងចំណងដៃ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/money_bag_24px.png"))).build())
                  
                .addFooter(new DrawerItem("ចាកចេញ").foreground(color).font(font).icon(new ImageIcon(getClass().getResource("/icon/exit.png"))).build())
                .event(new EventDrawer() {
                    @Override
                    public void selected(int index, DrawerItem item) {
                        if(index == 0)
                            addPanel(new AddGuest());
                        else if(index == 1)
                            addPanel(new AddGuestDetail());
                        else if(index == 2)
                            addPanel(new ReturMoney());
                        else if(index == 3)
                            addPanel(new InforGuest());
                        else if(index == 4)
                            addPanel(new InforGuestDetail());
                        else if(index == 5)
                            addPanel(new InforReturnMoney());
                        else{
                            int click = JOptionPane.showConfirmDialog(Main.this,"តើអ្នកចង់ចេកចេញ?", "ចាកចេញ",JOptionPane.YES_NO_OPTION);
                            if(click == JOptionPane.YES_OPTION){
                                Main.this.dispose();
                                LogIn.main(null);
                                try {
                                    ConnectionDB.getDataCon().close();
                                } catch (SQLException ex) {
                                    Logger.getLogger(MainForm.class.getName()).log(Level.SEVERE, null, ex);
                                }
                            }
                        }
                        drawer.hide();
                    }
                })
                .build();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        pMain = new javax.swing.JPanel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                formWindowClosing(evt);
            }
            public void windowOpened(java.awt.event.WindowEvent evt) {
                formWindowOpened(evt);
            }
        });

        jPanel1.setBackground(new java.awt.Color(0, 0, 153));
        jPanel1.setForeground(new java.awt.Color(0, 0, 204));
        jPanel1.setPreferredSize(new java.awt.Dimension(50, 684));
        jPanel1.setLayout(new java.awt.BorderLayout());

        jLabel1.setFont(new java.awt.Font("Liberation Sans", 0, 20)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(255, 255, 255));
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("III");
        jLabel1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel1MouseClicked(evt);
            }
        });
        jPanel1.add(jLabel1, java.awt.BorderLayout.PAGE_START);

        getContentPane().add(jPanel1, java.awt.BorderLayout.LINE_START);

        pMain.setBackground(new java.awt.Color(255, 255, 255));
        pMain.setLayout(new java.awt.BorderLayout());
        getContentPane().add(pMain, java.awt.BorderLayout.CENTER);

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jLabel1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseClicked
       if(drawer.isShow())
           drawer.hide();
       else drawer.show();
    }//GEN-LAST:event_jLabel1MouseClicked

    private void formWindowOpened(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowOpened
            
    }//GEN-LAST:event_formWindowOpened

    private void formWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowClosing
        try {
            ConnectionDB.getDataCon().close();
        } catch (SQLException ex) {
            Logger.getLogger(MainForm.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_formWindowClosing
    private void addPanel(JPanel panel){
            pMain.removeAll();
            pMain.add(panel,java.awt.BorderLayout.CENTER);
            pMain.validate();
            panel.setVisible(true);
        }
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        try {
            UIManager.setLookAndFeel(new FlatLightFlatIJTheme());
        } catch (Exception e) {
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Main().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel pMain;
    // End of variables declaration//GEN-END:variables
}
